@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body, #root {
  height: 100vh;
}

body {
  background: hsl(218, 23%, 16%);
}

.app {
  font-family: 'Manrope', sans-serif;
  font-weight: 800;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;

  --neon-green: hsl(150, 100%, 66%);
}

.container {
  max-width: min(500px, 90vw);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 30px 30px 0 30px;
  border-radius: 16px;
  transition: filter 100ms ease;
}

.container.loading {
  filter: blur(5px);
}

.loading_component {
  position: absolute;
  left: 50%;
  top: 50%;
  translate: -50% -50%;
  z-index: 10;
}

.neon_green {
  color: var(--neon-green);
}

.neon_green_bg {
  background: var(--neon-green);
}

.light_cyan {
  color: hsl(193, 38%, 86%);
}

.dark_grayish_blue_bg {
  background: hsl(217, 19%, 24%);
}

.header {
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 3px;
}

.text {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  font-size: 28px;
}

.word-container {
  overflow: hidden;
}

.word {
  --index: 0;

  animation:
    word-hide calc(var(--index) * 75ms) linear,
    word-fade-in 400ms ease calc(var(--index) * 75ms);
}

@keyframes word-hide {
  from { opacity: 0; }
  to { opacity: 0; }
}

@keyframes word-fade-in {
  from { transform: translateY(100%); opacity: 0; }
}

.button {
  --size: 36px;
  width: var(--size);
  height: var(--size);
  border: none;
  border-radius: 50%;
  translate: 0 50%;
  position: relative;
}

.button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: radial-gradient(circle, rgba(255, 255, 255, 0.6) 10%, transparent 70%);
  opacity: 0;
  transition: opacity 0.3s ease;
}

.button:hover {
  box-shadow: 0 0 16px var(--neon-green);
  cursor: pointer;
}

.button:hover::before {
  opacity: 1;
}

.button > img {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  transform: scale(0.6);
}
